org.eclipse.rap.fileupload

## Interface FileUploadListener

    public interface FileUploadListener

Listener to react on progress and completion of a file upload.

Note: This listener will be called from a different thread than the UI thread. Implementations must use `Display.asyncExec(Runnable)` to access the UI.

See Also:
  `FileUploadEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `uploadFailed(FileUploadEvent event)` Called when a file upload failed.
`void` `uploadFinished(FileUploadEvent event)` Called when a file upload has finished successfully.
`void` `uploadProgress(FileUploadEvent event)` Called when new information about an in-progress upload is available.

### Method Detail

#### uploadProgress

    void uploadProgress(FileUploadEvent event)

Called when new information about an in-progress upload is available.

Parameters:
  `event` - event object that contains information about the uploaded file
See Also:
  `FileUploadEvent.getBytesRead()`

#### uploadFinished

    void uploadFinished(FileUploadEvent event)

Called when a file upload has finished successfully.

Parameters:
  `event` - event object that contains information about the uploaded file
See Also:
  `FileUploadEvent`

#### uploadFailed

    void uploadFailed(FileUploadEvent event)

Called when a file upload failed.

Parameters:
  `event` - event object that contains information about the uploaded file
See Also:
  `FileUploadEvent.getException()`

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0